--
-- Structure de la table `#_tiffp`
--

CREATE TABLE IF NOT EXISTS `#__tiffp` (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT,
  `nom_fiche` varchar(255) NULL DEFAULT NULL,
  `published` tinyint(1) NULL DEFAULT NULL,
  `created` datetime NULL DEFAULT NULL,
  `created_by` int UNSIGNED NULL DEFAULT NULL,
  `checked_out` int UNSIGNED NULL DEFAULT NULL,
  `checked_out_time` datetime NULL DEFAULT NULL,
  `modified` datetime NULL DEFAULT NULL,
  `modified_by` int UNSIGNED NULL DEFAULT NULL,
  `path` varchar(255) NULL DEFAULT NULL,
  `path_zip` varchar(255) NULL DEFAULT NULL,
  `verif` text NULL DEFAULT NULL,
  `type_xml` tinyint(3) NULL DEFAULT NULL,
  `type_format` varchar(10) NOT NULL DEFAULT '',
  `g_title` text NULL DEFAULT NULL,
  `g_alias` text NULL DEFAULT NULL,
  `g_adresse` text NULL DEFAULT NULL,
  `g_adresse2` text NULL DEFAULT NULL,
  `g_ville` text NULL DEFAULT NULL,
  `g_departement` text NULL DEFAULT NULL,
  `g_codepostal` text NULL DEFAULT NULL,
  `g_pays` text NULL DEFAULT NULL,
  `g_tel` text NULL DEFAULT NULL,
  `g_email` text NULL DEFAULT NULL,
  `g_web` text NULL DEFAULT NULL,
  `g_img` text NULL DEFAULT NULL,
  `g_introtext` text NULL DEFAULT NULL,
  `g_fulltext` text NULL DEFAULT NULL,
  `g_horaires_prix` text NULL DEFAULT NULL,
  `g_link` text NULL DEFAULT NULL,
  `g_icon` text NULL DEFAULT NULL,
  `g_icon_label` text NULL DEFAULT NULL,
  `g_glng` text NULL DEFAULT NULL,
  `g_glat` text NULL DEFAULT NULL,
  `g_gzoom` text NULL DEFAULT NULL,
  `g_catid` text NULL DEFAULT NULL,
  `g_created_by` text NULL DEFAULT NULL,
  `g_state` text NULL DEFAULT NULL,
  `g_access` text NULL DEFAULT NULL,
  `g_metadesc` text NULL DEFAULT NULL,
  `g_metakey` text NULL DEFAULT NULL,
  `g_metadata` text NULL DEFAULT NULL,
  `g_publish_up` text NULL DEFAULT NULL,
  `g_publish_down` text NULL DEFAULT NULL,
  `g_marqueur` text NULL DEFAULT NULL,
  `g_language` text NULL DEFAULT NULL,
  `g_tag` text NULL DEFAULT NULL,
  `options` text NULL DEFAULT NULL,
  `params_champs` mediumblob NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__tiffp_xml` (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NULL DEFAULT NULL,
  `title` TINYBLOB NULL DEFAULT NULL,
  `modified` DATE NULL DEFAULT NULL,
  `xml` LONGBLOB NOT NULL,
  `syndication_id` int UNSIGNED NOT NULL,
  `path_file` varchar(255) NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__tiffp_gmapfp` (
  `id_table` int UNSIGNED NOT NULL AUTO_INCREMENT,
  `gmapfp_id` int UNSIGNED NOT NULL,
  `tif_id` varchar(255) NOT NULL,
  PRIMARY KEY (`id_table`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__tiffp_syndications` (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `syndication` varchar(511) NOT NULL,
  `syndication_type` tinyint(3) NOT NULL,
  `syndication_format` varchar(10) NOT NULL DEFAULT '',
  `tiffps_fields_separator` varchar(10) NOT NULL,
  `tiffps_photos_path` varchar(255) NOT NULL,
  `tiffps_type_fiche` varchar(10) NOT NULL,
  `tiffps_values_separator` varchar(10) NOT NULL,
  `published` tinyint(3) NOT NULL,
  `checked_out` INT unsigned DEFAULT NULL,
  `checked_out_time` datetime,
  `language` char(7) NOT NULL,
  `notes` BLOB NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__tiffp_functions` (
  `content` text NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__tiffp_images` (
  `id_table` int UNSIGNED NOT NULL AUTO_INCREMENT,
  `url_source` varchar(255) NOT NULL,
  `url_destination` varchar(255) NOT NULL,
  `gmapfp_id` int NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  PRIMARY KEY (`id_table`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
