<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 3.x
	* Version J3.3
	* Creation date: Juillet 2016
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

namespace Joomla\Component\Tiffps\Administrator\Controller;

defined('_JEXEC') or die();

use Joomla\CMS\MVC\Controller\FormController;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

class FunctionsController extends FormController
{
	function saveFunctions()
	{	
		if (!Factory::getUser()->authorise('core.admin', 'com_tiffps'))
			return JError::raiseWarning(404, Text::_('JERROR_ALERTNOAUTHOR'));
		
		// Check for request forgeries
        $this->checkToken();

		$model = $this->getModel('functions');
		if ($model->store()) {
			$msg = Text::_( 'COM_TIFFPS_SAVED');
		} else {
			$msg = Text::_( 'COM_TIFFPS_SAVED_ERROR');
		}

		$link = 'index.php?option=com_tiffps&view=functions';
		$this->setRedirect($link, $msg);
	}
}
?>
