<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 3.x
	* Version J3.0
	* Creation date: Novembre 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

namespace Joomla\Component\Tiffps\Administrator\Table;

defined('_JEXEC') or die;

use Joomla\CMS\Table\Table;
use Joomla\CMS\Versioning\VersionableTableInterface;

class SyndicationTable extends Table implements VersionableTableInterface
{
	public function __construct(&$db)
	{
		$this->typeAlias = 'com_tiffps.syndication';
		
		parent::__construct('#__tiffp_syndications', 'id', $db);
	}
	
	public function getTypeAlias()
	{
		return $this->typeAlias;
	}
}
