<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 3.x
	* Version J3.4
	* Creation date: Octobre 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

namespace Joomla\Component\Tiffps\Administrator\View\Functions;

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Helper\ContentHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Uri\Uri;

class HtmlView extends BaseHtmlView
{
	function display($tpl = NULL)
	{
		if (!Factory::getUser()->authorise('core.admin', 'com_tiffps'))
			return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
			
		$this->state = $this->get('State');
		$this->code	= $this->get('Code');
		
		if (empty($this->code)) {
			$this->code = "
//ajouter en dessous vos fonctions personnelles//

			";
		}
		
        ToolBarHelper::link(URI::base().'index.php?option=com_tiffps', Text::_('COM_TIFFPS_ACCUEIL_TIFFPS'), 'home');
		
		ToolBarHelper::title(   Text::_( 'COM_TIFFPS_FUNCTIONS_MANAGER' ), 'css.png' );
		ToolBarHelper::custom( 'functions.saveFunctions', 'save.png', 'save.png', 'JAPPLY', false, false );

		parent::display($tpl);
	}
}
