<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 4.x
	* Version J4.5
	* Creation date: Mai 2014
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Uri\Uri;

$listOrder	= $this->escape($this->state->get('list.ordering'));
$listDirn	= $this->escape($this->state->get('list.direction'));

?>
<form action="<?php echo Route::_('index.php?option=com_tiffps&view=accueil'); ?>" method="post" name="adminForm" id="adminForm">
	<div class="row">
		<div class="col-md-12">
			<div id="j-main-container" class="j-main-container">
	<div class="icon" style="float:none;display:inline;">
			<?php echo '<img src="'.URI::root().'media/com_tiffps/images/xml-48.png" alt="'.Text::_('COM_TIFFPS_XMLS').'" title="'.Text::_('COM_TIFFPS_XMLS').'">'; ?>
			<?php echo '<img src="'.URI::root().'media/com_tiffps/images/tourinfrance-48.png" alt="'.Text::_('COM_TIFFPS_XMLS').'" title="'.Text::_('COM_TIFFPS_XMLS').'">'; ?>
	</div>
	<div style="display:inline;">
		<table class="table" style="display:contents;">
			<tr>
				<td class="table-success"><?php echo Text::sprintf('COM_TIFFPS_FILES_COUNT_UPDATE_OK',$this->table_success); ?></td>
				<td class="table-danger"><?php echo Text::sprintf('COM_TIFFPS_FILES_COUNT_UPDATE_NOK',$this->table_danger); ?></td>
			</tr>
		</table>
	</div>
	<div class="btn-toolbar" style="float:right;" role="toolbar" id="toolbar">
		<joomla-toolbar-button task="tiffps.purge">
			<a class="button-purge btn btn-primary" type="button" href="index.php?option=com_tiffps&task=tiffps.purge">
			<span class="icon-trash icon-fw" aria-hidden="true"></span>
			<?php echo Text::_('COM_TIFFPS_PURGE_FICHES'); ?>
			</a>
		</joomla-toolbar-button>
		<?php echo HTMLHelper::_( 'form.token' ); ?>
	</div>
	<?php
	// Search tools bar
	echo LayoutHelper::render('joomla.searchtools.default', array('view' => $this));
	?>
<div style="max-height:600px;overflow: auto;">
	<table class="table table-striped" id="articleList">
		<thead>
			<tr>
				<th>
					<?php echo HTMLHelper::_('searchtools.sort', 'COM_TIFFPS_HEADING_FILE_PLACE_NAME', 'name', $listDirn, $listOrder); ?>
				</th>
				<th>
					<?php echo HTMLHelper::_('searchtools.sort', 'COM_TIFFPS_DATE_UPDATE', 'modified', $listDirn, $listOrder); ?>
				</th>
				<th>
					<?php echo Text::_('COM_TIFFPS_DATE_UPDATE_GMAPFP'); ?>
				</th>
			</tr>
		</thead>
		<tbody>
		<?php 
			$i = 0;
			if (!empty($this->items))
			foreach ($this->items as $item) {
					$i++;
				?>
				<tr class="row<?php echo $i % 2; ?>">
					<td class="<?php echo $item->style_update_date; ?>">
						<button class="btn btn-primary" onclick="window.open('index.php?option=com_tiffps&tmpl=component&view=xml&id=<?php echo $item->id; ?>', '<?php echo $item->name; ?>', 'popup');"><?php echo $item->name; ?></button>
						<?php echo $item->title; ?>
					</td>
					<td>
						<?php echo $item->modified; ?>
					</td>
					<td>
						<?php echo $item->update_date_gmapfp; ?>
					</td>
				</tr>
			<?php } ?>
		</tbody>
	</table>
</div></div></div></div>
</form>