<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 2.5.x
	* Version 1.0
	* Creation date: Avril 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

namespace Joomla\Component\Tiffps\Administrator\Controller;

defined('_JEXEC') or die;

use Joomla\CMS\MVC\Controller\FormController;
use Joomla\CMS\Router\Route;
use Joomla\Utilities\ArrayHelper;
use Joomla\CMS\Versioning\VersionableControllerTrait;
use Joomla\CMS\MVC\Model\BaseDatabaseModel;
use Joomla\CMS\Language\Text;

class SyndicationController extends FormController
{
    use VersionableControllerTrait;

	function copy()
	{
		// Check for request forgeries
        $this->checkToken();

		$this->setRedirect( 'index.php?option=com_tiffps&view=syndications' );

        $ids    = (array) $this->input->get('cid', array(), 'int');
		$model  = $this->getModel('syndication');
		$table	= $model->getTable();
		foreach ($ids as $id)
		{
            if ($id === 0) {
                unset($ids[$i]);
                continue;
            }
			if ($table->load( (int)$id ))
			{
				$table->id			= 0;
				$table->title	= Text::_( 'TIFFP_COPIE_DE'). $table->title;
				$table->published	= 0;
		
				if (!$table->store()) {
					$this->app->enqueueMessage($table->getError(), 'warning');
					return false;
				}
			}
			else {
				$this->app->enqueueMessage($table->getError(), 'warning');
				return false;
			}
		}

		$this->setMessage( Text::sprintf( 'Items copied', $n ) );
	}

}