<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 3.x
	* Version J4.1
	* Creation date: Septembre 2023
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

namespace Joomla\Component\Tiffps\Administrator\Model;

defined( '_JEXEC' ) or die;

use Joomla\CMS\MVC\Model\ListModel;
use Joomla\CMS\Factory;

class FunctionsModel extends ListModel
{
	function store()
	{
		$db = $this->getDbo();
		$query = $db->getQuery(true);
		
		$file 			= JPATH_ADMINISTRATOR.'/components/com_tiffps/src/Model/TiffpsUserTrait.php';
		$filecontent	= Factory::getApplication()->input->post->get('filecontent', '', 'raw');
		
		$query
			->select('COUNT(*)')
			->from($db->quoteName('#__tiffp_functions'));
		// Reset the query using our newly populated query object.
		$db->setQuery($query);
		$count = $db->loadResult();	

		$query = $db->getQuery(true);
		if ($count == 0) {
			//insert
			$columns = array('content');
			$values = array($db->quote($filecontent));
			$query
				->insert($db->quoteName('#__tiffp_functions'))
				->columns($db->quoteName($columns))
				->values(implode(',', $values));
		} else {	
			//update
			$fields = array(
				$db->quoteName('content') . ' = ' . $db->quote($filecontent)
			);	
			$query->update($db->quoteName('#__tiffp_functions'))->set($fields);
		}
			
		$db->setQuery($query);
		$db->execute();		
		
		$entete = '<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 4.x
	* Version J4.0
	* Creation date: Novembre 2022
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

namespace Joomla\Component\Tiffps\Administrator\Model;

\defined(\'JPATH_PLATFORM\') or die;

trait TiffpsUserTrait
{
		';
		$footer = '
}
?>		';
		
		if( $fp = @fopen( $file, 'w' )) {
			fputs( $fp, $entete.$filecontent.$footer );
			fclose( $fp );
			return true;
		}else{
			return false;
		}
	}
	
	function getCode()
	{
		$db = $this->getDbo();
		$query = $db->getQuery(true);
		
		$query
			->select('*')
			->from($db->quoteName('#__tiffp_functions'));
		$db->setQuery($query);
		$result = $db->loadResult();
		
		return $result;		
	}
}
?>