<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 4.x
	* Version J4.1
	* Creation date: Août 2023
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

namespace Joomla\Component\Tiffps\Administrator\Model;

defined( '_JEXEC' ) or die;

use Joomla\CMS\MVC\Model\ListModel;
use Joomla\CMS\Factory;

class XmlModel extends ListModel
{
	function getCode()
	{
		$id = Factory::getApplication()->input->get('id', '', 'INT');
		$name = Factory::getApplication()->input->get('name', '', 'STRING');
		
		$db = $this->getDbo();
		$query = $db->getQuery(true);
		
		$query
			->select('xml,syndication_format as format')
            ->from($this->_db->quoteName('#__tiffp_xml', 'a'))
			->join('LEFT', $this->_db->quoteName('#__tiffp_syndications', 's') . ' ON ' . $this->_db->quoteName('a.syndication_id') . ' = ' . $this->_db->quoteName('s.id'));
		if ($id)
			$query->where($db->quoteName('a.id').' = '.$db->quote((int)$id));
		if ($name)
			$query->where($db->quoteName('a.name').' = '.$db->quote($name));
		$db->setQuery($query);
		$result = $db->loadAssoc();
		
		return $result;		
	}
}
?>