<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 3.x
	* Version J3.0
	* Creation date: Novembre 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

namespace Joomla\Component\Tiffps\Administrator\Table;

defined('_JEXEC') or die;

use Joomla\CMS\Application\ApplicationHelper;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\String\PunycodeHelper;
use Joomla\CMS\Table\Table;
use Joomla\CMS\Versioning\VersionableTableInterface;
use Joomla\Database\DatabaseDriver;
use Joomla\Registry\Registry;
use Joomla\String\StringHelper;
use Joomla\Database\ParameterType;
use Joomla\Utilities\ArrayHelper;
use Joomla\CMS\Access\Rules;

use Joomla\CMS\Event\AbstractEvent;

class XmlTable extends Table implements VersionableTableInterface
{
	public function __construct(DatabaseDriver $db)
	{
		$this->typeAlias = 'com_tiffps.xml';

		parent::__construct('#__tiffp_xml', 'id', $db);
	}

	protected function _getAssetName()
	{
		$k = $this->_tbl_key;

		return 'com_tiffps.xml.' . (int) $this->$k;
	}

	protected function _getAssetTitle()
	{
		return $this->name;
	}

	public function getTypeAlias()
	{
		return $this->typeAlias;
	}
}

