<?php
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 3.x
	* Version J3.0
	* Creation date: Novembre 2013
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

namespace Joomla\Component\Tiffps\Administrator\View\Syndication;

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Helper\ContentHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Toolbar\ToolbarHelper;

class HtmlView extends BaseHtmlView
{
	protected $form;
    protected $item;
    protected $state;

	function display($tpl = null)
	{
        // Initialise variables.
        $this->form  = $this->get('Form');
        $this->item  = $this->get('Item');
        $this->state = $this->get('State');

		$isNew		= ($this->item->id == 0);

		$text = $isNew ? Text::_( 'COM_TIFFPS_NEW' ) : Text::_( 'COM_TIFFPS_EDIT' );
		ToolBarHelper::title(   Text::_( 'COM_TIFFPS_SYNDICATION_MANAGER' ).': <small>[ ' . $text.' ]</small>', 'lieux' );
		ToolBarHelper::apply('syndication.apply');
		ToolBarHelper::save('syndication.save');
		if ($isNew)  {
			ToolBarHelper::cancel('syndication.cancel');
		} else {
			// for existing items the button is renamed `close`
			ToolBarHelper::cancel( 'syndication.cancel', 'JTOOLBAR_CLOSE' );
		}

		parent::display($tpl);
	}

}
