<?php 
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 3.x
	* Version J3.4
	* Creation date: Octobre 2017
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Editor\Editor;

$editor = Editor::getInstance('codemirror');

?>
<form action="index.php" method="post" name="adminForm" id="adminForm">
	<fieldset class="adminform">
		<legend><?php echo Text::_( 'COM_TIFFPS_FUNCTIONS' ); ?></legend>
		<div class="adminform">
			<?php echo $editor->display('filecontent', htmlspecialchars($this->code, ENT_COMPAT, 'UTF-8'), '600', '300', '75', '20', false, 'filecontent');                                ?>
		</div>
	</fieldset>	
    <input type="hidden" name="option" value="com_tiffps" />
    <input type="hidden" name="task" value="" />
    <input type="hidden" name="controller" value="functions" />
		<?php echo HTMLHelper::_( 'form.token' ); ?>
</form>
<div class="copyright" align="center">
	<?php echo '<p>TifFPs : composant de <a target="_blank" href="http://creation-web.pro/">GMapFP D&eacute;veloppement</a></p>';?>
</div>
