<?php 
	/*
	* TifFP composant passerelel de TourInFrance vers GMapFP pour Joomla! 4.x
	* Version J4.1
	* Creation date: Août 2023
	* Author: Fabrice4821 - www.gmapfp.org
	* Author email: webmaster@gmapfp.org
	* License GNU/GPL
	*/

defined('_JEXEC') or die;

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Editor\Editor;
use Joomla\CMS\Factory;

$editor = Editor::getInstance('codemirror');
$name 	= Factory::getApplication()->input->get('name', '', 'STRING');

?>
<form action="index.php" method="post" name="adminForm" id="adminForm">
	<fieldset class="adminform">
		<legend><?php echo Text::sprintf( 'COM_TIFFPS_FICHIER', $name); ?></legend>
		<div class="adminform">
			<?php echo $editor->display('filecontent', htmlspecialchars($this->code, ENT_COMPAT, 'UTF-8'), '1200', '800', '200', '80', false, 'filecontent');                                ?>
		</div>
	</fieldset>	
    <input type="hidden" name="option" value="com_tiffps" />
    <input type="hidden" name="task" value="" />
    <input type="hidden" name="controller" value="functions" />
		<?php echo HTMLHelper::_( 'form.token' ); ?>
</form>
<div class="copyright" align="center">
	<?php echo '<p>TifFPs : composant de <a target="_blank" href="http://creation-web.pro/">GMapFP D&eacute;veloppement</a></p>';?>
</div>
